
Figure - Bug #115035
【AF】【EVT2】【Setting】【10/10】已安装应用和实际安装应用数量不一致。
2023-01-03 20:30 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2023-01-03

Priority: Normal Due date:

Assignee: CDTS_TEST 刘勇 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212310352

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-09

Test Type: IT Root cause: AOSP 统计应用数量问题。

Description

【前提条件】

刷入OS版本

【操作步骤】

1.进入"设置"->"应用" 查看显示已安装应用数量

2.点击所有应用并确定已安装应用数量

【期望结果】

2.显示安装应用数量和实际所有安装应用数量一致

【实际结果】

2.显示"已安装11个应用"，实际所有应用为12个（见截图）

History

#1 - 2023-01-04 15:06 - CDTS_TEST 刘勇

- Assignee changed from CDTS_TEST 刘勇 to CD FW-廖涛

#2 - 2023-01-09 14:03 - CD FW-廖涛

- Status changed from New to RESOLVED

- Assignee changed from CD FW-廖涛 to CDTS_TEST 刘勇

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-09

- Root cause set to AOSP 统计应用数量问题。

■ Current conclusion

已处理。

■ My analysis

AOSP 原生代码在统计数量时，仅统计了所有在 Launcher 中可以展示的应用，而没有包含 Launcher 应用本身，导致全部已安装应用数量和应用列表不一

致。处理后统计已包含 Launcher 应用本身。

■ Next action

测试验证。
#3 - 2023-01-10 14:01 - CDTS_TEST 刘勇

- Subject changed from 【AF】【EVT2】【Setting】已安装应用和实际安装应用数量不一致。 to 【AF】【EVT2】【Setting】【10/10】已安装应用和实际安

装应用数量不一致。

- Status changed from RESOLVED to VERIFIED

【测试环境】EVT2-VX1整机

【测试版本】FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0067.X101

【前提条件】刷入OS版本

【操作步骤】

1.进入"设置"->"应用" 查看显示已安装应用数量

2.点击所有应用并确定已安装应用数量

【实际结果】

2.显示"已安装12个应用"，实际所有应用为12个

【验证次数】5/5

【验证结果】验证通过，关闭此问题

#4 - 2023-01-10 14:01 - CDTS_TEST 刘勇

- Status changed from VERIFIED to CLOSED

Files

install-APK_Number.txt 5.6 MB 2023-01-03 CDTS_TEST 刘勇

Screenshot_20221231-041026.png 317 KB 2023-01-03 CDTS_TEST 刘勇

Screenshot_20221231-041031.png 336 KB 2023-01-03 CDTS_TEST 刘勇

Screenshot_20221231-041042.png 355 KB 2023-01-03 CDTS_TEST 刘勇
